

/* Autor:           Dipl.-Inf., Dipl.-Ing. (FH) Michael Wilhelm
   Firma:           HS Harz, FB AI
   Version:         1.1
   Ersterstellung:  07.06.2006
   Letzte Aenderung: 23.03.2013
*/

import java.io.*;


// Einlesen einer Datei,
// Verwendet die neue Methode LineNumberReader
// Abbruch mit der Methode din.ready()

public class ReadASCII01 {


  private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause


  public static void main(String argv[])  throws IOException {
    FileInputStream fin;
    InputStreamReader iin;
    LineNumberReader din;
    String sLine;
    String sEditor="";
    try {
      fin = new FileInputStream("readASCII01.java");
      iin = new InputStreamReader(fin);
      din = new LineNumberReader(iin);  // oder BufferedReader br = new BufferedReader(ir);
      while  ( din.ready() ) {
        sLine = din.readLine();
        System.out.println(sLine);
        //sEditor=sEditor+sLine+"\n";
      }
      //System.out.println(sEditor);
    }
     catch (FileNotFoundException e1) {
         System.err.println("Datei war nicht vorhanden!");
    }
    catch (IOException ee) {
           System.err.println("IOException: " + ee);
    }
    pause();
  }
}



